# Generated from mikado_graph_generator-0.4.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mikado_graph_generator

Name: rubygem-%{gem_name}
Version: 0.4.1
Release: 1%{?dist}
Summary: Mikado Graph generator
License: MIT
URL: https://github.com/snasirca/mikado_graph_generator
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(guard-bundler)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(guard-rubocop)
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.52
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(rubocop-rspec) >= 1.21
# BuildRequires: rubygem(rubocop-rspec) < 2
# BuildRequires: rubygem(ruby-graphviz) >= 1.2
# BuildRequires: rubygem(ruby-graphviz) < 2
BuildArch: noarch

%description
Provides a simple DSL for generating Mikado Graphs using GraphViz.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.editorconfig
%exclude %{gem_instdir}/.envrc
%{gem_instdir}/.envrc.sample
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.rubocop
%{gem_instdir}/.rubocop.disabled.yml
%{gem_instdir}/.rubocop.enabled.yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/example_usage_horizontal.rb
%{gem_instdir}/example_usage_vertical.rb
%{gem_instdir}/img
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/mikado_graph.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.4.1-1
- Initial package
